com.brightcove.player.model

## Class Span

- java.lang.Object
- - com.brightcove.player.model.Element
  - - com.brightcove.player.model.StyledElement
    - - com.brightcove.player.model.Span

- All Implemented Interfaces:
    java.io.Serializable

      public class Span
      extends StyledElement

  Represents a span of styled text within a TTML document.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.brightcove.player.model.StyledElement

      `StyledElement.FontStyle, StyledElement.FontWeight, StyledElement.TextAlign, StyledElement.TextDecoration, StyledElement.Unit`

  - ### Field Summary

    - ### Fields inherited from class com.brightcove.player.model.StyledElement

      `backgroundColor, color, fontFamily, fontSize, fontStyle, fontWeight, styleName, textAlign, textDecoration`

    - ### Fields inherited from class com.brightcove.player.model.Element

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Span()` Default constructor.
    `Span(java.lang.String text)` Initializes a Span with the given text.
    `Span(StyledElement element)` Initializes a Span given the styling attributes provided in element.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getText()` The text for this Span.
    `void` | `setText(java.lang.String text)` The text for this Span.

    - ### Methods inherited from class com.brightcove.player.model.StyledElement

      `getBackgroundColor, getColor, getFontFamily, getFontSize, getFontStyle, getFontWeight, getStyleName, getTextAlign, getTextDecoration, setBackgroundColor, setColor, setFontFamily, setFontSize, setFontStyle, setFontWeight, setStyleName, setTextAlign, setTextDecoration`

    - ### Methods inherited from class com.brightcove.player.model.Element

      `getID, setID`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Span

          public Span()

      Default constructor.

    - #### Span

          public Span(StyledElement element)

      Initializes a Span given the styling attributes provided in element.
      Parameters:
        `element` - a StyledElement with attributes to apply to Span

    - #### Span

          public Span(java.lang.String text)

      Initializes a Span with the given text.
      Parameters:
        `text` - text body for Span

  - ### Method Detail

    - #### getText

          public java.lang.String getText()

      The text for this Span.

    - #### setText

          public void setText(java.lang.String text)

      The text for this Span.